var Kissoj = function(){
    PartBase.call(this);

    //POSTPROCESSING

    this.logo = TDEMO.TEXTURES.getTextures().jumalauta2;
    var material = new THREE.SpriteMaterial({map : this.logo});
    var sprite = new THREE.Sprite(material);
    sprite.scale.x = 10;
    sprite.scale.y = 10;
    /*sprite.position.y = -1.2;*/
    this.scene.add(sprite);

};

Kissoj.prototype = PartBase.prototype.inheritance();

Kissoj.prototype.animate = function(elapsedTime, delta){
    PartBase.prototype.animate.call(this, elapsedTime, delta, true);
    this.logo.offset.y += delta*0.25;
    this.logo.offset.y %= 1;
    this.logo.offset.x -= delta*0.5;
    this.logo.offset.x %= 4;
    this.logo.needsUpdate = true;
};

Kissoj.prototype.createScene = function(map){
    var geometry = new THREE.PlaneBufferGeometry(800, 800);
    var material = new THREE.MeshBasicMaterial({
        map : map,
        side : THREE.DoubleSide
    });

    var plane = new THREE.Mesh(geometry, material);

    return plane;
}
